//Here we import required modules such as json, geoPath from d3 
import { select, json, geoPath, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');
//Here we initialize the natural earth projection object
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);
// The path is attached to svg at specified location 
svg.append('path')
    .attr('class', 'sphere') // Here we create a class for sphere to add style in css
    .attr('d', pathGenerator({type: 'Sphere'}));
//Below we load the data from our gist link
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  .then(data => {
// Countries variable is added to data for parsing the data
    const countries = feature(data, data.objects.countries);
// Here we create svg path to load countries data on to pathgenerator
  svg.selectAll('path').data(countries.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', pathGenerator);
  });